Subject: bug#7934: 24.0.50; Nextstep: Can't copy and paste null characters

From: Jan Djärv <[email-masked]>
Date: Sat, 29 Jan 2011 17:56:52 +0100

Stefan Monnier skrev 2011-01-29 16.53:
>> Fixed in trunk.
>
> Thanks, Jan.  But I wonder why this bug manifested itself in the "C-k
> C-y" case, which I thought would not fetch the selection from the OS but
> would short-circuit it and take it directly from the kill-ring (which
> has the advantage of preserving the unibyte/multibyte distinction, the
> text-properties, ...).
>

Maybe it should, but it doesn't.  Here is a lisp backtrace after doing C-y:

"ns-get-cut-buffer-internal" (0x5fbfd598)
"ns-get-pasteboard" (0x5fbfdaa8)
"x-selection-value" (0x5fbfdfc8)
"current-kill" (0x5fbfe4f0)
"yank" (0x5fbfea58)

So the faulty logic (if any) must be as early as current-kill, I guess?

	Jan D.